/*
 * Copyright (C) 2020 Robert Bosch GmbH Copyright (C) 2020 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatListModule } from '@angular/material/list';
import { BciComponentModule, BciSharedModule } from '@bci-web-core/core';
import { ActivityIndicatorDemoComponent } from './activity-indicator-demo.component';

describe('ActivityIndicatorDemoComponent', () => {
  let component: ActivityIndicatorDemoComponent;
  let fixture: ComponentFixture<ActivityIndicatorDemoComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [BciSharedModule, BciComponentModule, MatListModule],
        declarations: [ActivityIndicatorDemoComponent],
      })
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(ActivityIndicatorDemoComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
